=========================================================================
=================   Airtime - Live Broadcast Together   =================
=========================================================================

Airtime is an open source application that provides remote and 
collaborative automation of a broadcast radio station.

Home page: http://www.sourcefabric.org/en/airtime/

Major features:

 * Web-based remote station management. Authorized personnel can add
   programme material, create playlists or smart blocks, and stream in live, 
   all via a web interface.
 * Automation. Airtime has a scheduler function that enables users to
   create shows with content for playback at the exact date and time specified. 
   Playlists, smart blocks and remote stream URLs can be used multiple times.
 * Solid playout. Airtime uses the open source Liquidsoap streaming language 
   for reliable and precise playback to multiple outputs. 
 * Open, extensible architecture.  Stations are free to extend and alter 
   all parts of the program code, under the GNU AGPLv3 license.


INSTALLATION
------------

Basic installation has two steps:

1) Run the install script, located in the Airtime root directory.

For an interactive installation, run:

    sudo ./install

If you're using a terminal that is not running Bash, you'll need to run

    sudo /bin/bash ./install

instead. You may need to install Bash first.

The installer will then prompt you about how you want to set up your Airtime 
installation.

For a non-interactive full installation (do this if you're installing Airtime from 
scratch and don't have any of your own configuration set up), run

    sudo ./install -fiap

What this means:

    -f - force; non-interactive (no prompts)
    -i - install the default Icecast 2 setup for Airtime
    -a - install the default apache setup for Airtime
    -p - create a default Airtime postgres user

This will install all components necessary for Airtime, and set up 
/usr/share/airtime as your web root (where apache looks for your Airtime files)

There are several options for installation - to see them all, run

    sudo ./install --help

2) Once you've run the installer, open a web browser to http://localhost to run 
the interactive setup. (If you have a custom apache configuration, navigate to 
your Airtime web host instead.) 

If you just want to run Airtime with default settings, you won't need to change 
anything, but if you have any custom configuration settings you'll be able to 
specify them.

Once you finish the setup process, you'll be presented with a configuration 
checklist so you can ensure that your Airtime installation is working 
correctly. If anything was mis-configured, the checklist will provide some .
helpful tips to resolve the issue.

If your checklist is all green, you're ready to get started with Airtime!

Quick links to our resources
----------------------------
User manual: http://sourcefabric.booktype.pro/airtime-25-for-broadcasters/
Forums and mailing lists: http://forum.sourcefabric.org
Bug tracker: http://dev.sourcefabric.org
Source code: http://github.com/sourcefabric/Airtime
IRC chat: #airtime on Freenode
